# dotfiles

nix flake config! this is just used on my personal computer

## users

this flake is built upon a single user system for all hosts, enforced by [`modules/user.nix`](./modules/user.nix). this makes it alot easier to make modules that use nixos and `home-manager`

for something more server oriented, check out [`nix-server`](https://git.reidlab.pink/reidlab/nix-server)

## hosts

each host should have these files:

  - `default.nix`, contains everything relating to the basic system
  - `hardware.nix`, hardware configuration.

## todo

  - multi architecture configuration ([nix-systems](https://github.com/nix-systems/nix-systems)?)
  - divide steam and gamemode?
  - hidpi and cursor size option ? mostly auto these days though
  - better theming for hyprlock, rofi, dunst (accent for hyprlock & dunst, variants for rofi)
  - libinput
  - some way for border radius, border, tranparency theme options
  - tags for pip and popups in hyprland config
